/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   extra.h                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/04 14:03:10 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/20 17:14:30 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef EXTRA_H
# define EXTRA_H
# include <stdarg.h>
# include <stdlib.h>
# include <unistd.h>
# include <fcntl.h>
# include <limits.h>
# include "../libft/libft.h"

int			ft_isnum(char *str);
char		*ft_ultoa_base(unsigned long long n, char *base);
char		*get_next_line(int fd);
size_t		ft_random_generator(size_t start, size_t stop);
void		ft_freer_tab_ultimate(size_t len, ...);
void		ft_freer_ultimate(size_t len, ...);
char		*ft_strgen(char c, size_t len);
char		*ft_strfjoin(char *s1, char *s2);
char		*ft_strmerger(size_t arg_len, ...);
int			ft_is_in(char *str, char c);
void		*ft_realloc(void *tab, size_t size, size_t new_size, int bytes);
char		*ft_strndup(char *src, size_t n);
ssize_t		ft_strchri(char *str, char c);
int			ft_contain_only_str(char *str, char *to_find);
int			ft_contain_only(char *str, char c);
int			ft_strcmp(char *s1, char *s2);
#endif
